Bug 1312684 - [abrt] gnome-shell: xkb_state_update_key(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: xkb_state_update_key(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2f4f494ad37e75bac8c24e2fef7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 16:50 EST by Bill Gianopoulos
Modified: 2017-08-08 09:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.48 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: core_backtrace (9.11 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: dso_list (24.27 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: environ (827 bytes, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: maps (123.59 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: mountinfo (3.42 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: open_fds (5.02 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details
File: var_log_messages (661 bytes, text/plain)
2016-02-28 16:50 EST, Bill Gianopoulos
no flags Details

  None (edit)
Description Bill Gianopoulos 2016-02-28 16:50:18 EST
Description of problem:
I was trying to switch to a non-graphical login using CTRL-ALT-Fx so i could install xterm to figure out why gnome-terminal is crashing.

Version-Release number of selected component:
gnome-shell-3.19.90-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_state_update_key
executable:     /usr/bin/gnome-shell
global_pid:     1453
kernel:         4.5.0-0.rc5.git0.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xkb_state_update_key at src/keymap.h:429
 #2 meta_wayland_keyboard_update at wayland/meta-wayland-keyboard.c:512
 #3 meta_wayland_seat_update at wayland/meta-wayland-seat.c:308
 #4 meta_wayland_compositor_update at wayland/meta-wayland.c:170
 #5 event_callback at core/events.c:210
 #7 _clutter_event_process_filters at clutter-event.c:1802
 #8 _clutter_process_event at clutter-main.c:2101
 #11 process_events at evdev/clutter-device-manager-evdev.c:1303
 #12 clutter_evdev_release_devices at evdev/clutter-device-manager-evdev.c:2230
 #13 sync_active at backends/native/meta-launcher.c:178
Comment 1 Bill Gianopoulos 2016-02-28 16:50:22 EST
Created attachment 1131333 [details]
File: backtrace
Comment 2 Bill Gianopoulos 2016-02-28 16:50:23 EST
Created attachment 1131334 [details]
File: cgroup
Comment 3 Bill Gianopoulos 2016-02-28 16:50:24 EST
Created attachment 1131335 [details]
File: core_backtrace
Comment 4 Bill Gianopoulos 2016-02-28 16:50:25 EST
Created attachment 1131336 [details]
File: dso_list
Comment 5 Bill Gianopoulos 2016-02-28 16:50:26 EST
Created attachment 1131337 [details]
File: environ
Comment 6 Bill Gianopoulos 2016-02-28 16:50:27 EST
Created attachment 1131338 [details]
File: exploitable
Comment 7 Bill Gianopoulos 2016-02-28 16:50:28 EST
Created attachment 1131339 [details]
File: limits
Comment 8 Bill Gianopoulos 2016-02-28 16:50:29 EST
Created attachment 1131340 [details]
File: maps
Comment 9 Bill Gianopoulos 2016-02-28 16:50:30 EST
Created attachment 1131341 [details]
File: mountinfo
Comment 10 Bill Gianopoulos 2016-02-28 16:50:31 EST
Created attachment 1131342 [details]
File: namespaces
Comment 11 Bill Gianopoulos 2016-02-28 16:50:32 EST
Created attachment 1131343 [details]
File: open_fds
Comment 12 Bill Gianopoulos 2016-02-28 16:50:33 EST
Created attachment 1131344 [details]
File: proc_pid_status
Comment 13 Bill Gianopoulos 2016-02-28 16:50:34 EST
Created attachment 1131345 [details]
File: var_log_messages
Comment 14 Bill Gianopoulos 2016-02-28 16:53:13 EST
Similar problem has been detected:

I was trying to switch to a non-graphical login via CTRL-ALT-Fn so that I could install xterm in order to figure out why gnome-terminal crashes upon startup.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_state_update_key
executable:     /usr/bin/gnome-shell
global_pid:     1169
kernel:         4.5.0-0.rc5.git0.2.fc24.x86_64
package:        gnome-shell-3.19.90-1.fc24
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 15 Fedora End Of Life 2017-07-25 16:15:42 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 09:04:53 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.